-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlBaseFormalParameter

Declaration :

- C++ : class UmlBaseFormalParameter
- Java : abstract class UmlBaseFormalParameter

Directly inherited by : UmlFormalParameter

This class manages 'formal parameters' of a template class. For instance 'T' in
template class Cl<class T> ...

Artifact : UmlBaseFormalParameter

Operation UmlBaseFormalParameter

Declaration :

- C++ : public: UmlBaseFormalParameter()
- Java : public UmlBaseFormalParameter()

Operation name

Declaration :

- C++ : public: const QCString & name()const
- Java : public String name()

returns the name of the formal

Operation type

Declaration :

- C++ : public: const QCString & type()const
- Java : public String type()

returns the type of a formal, probably "class"

Operation defaultValue

Declaration :

- C++ : public: const UmlTypeSpec & defaultValue()const
- Java : public UmlTypeSpec defaultValue()

returns the default actual value

Attribut _name

Declaration :

- C++ : protected: QCString _name
- Java : protected String _name

Attribut _type

Declaration :

- C++ : protected: QCString _type
- Java : protected String _type

"class" ...

Relation _default_value (<directional aggregation by value>)

Declaration :

- C++ : protected: UmlTypeSpec _default_value
- Java : protected UmlTypeSpec _default_value

Operation read_

Declaration :

- C++ : protected: void read_()
- Java : protected void read_()

internal, do NOT use it

All public operations :

defaultValue , name , type